%global debug_package %{nil}

Name: python-railroad-diagrams
Epoch: 100
Version: 1.1.1
Release: 1%{?dist}
BuildArch: noarch
Summary: JS+SVG library for drawing railroad syntax diagrams, like on JSON.org
License: CC0-1.0
URL: https://github.com/tabatkins/railroad-diagrams/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Railroad diagrams are a way of visually representing a grammar in a form
that is more readable than using regular expressions or BNF. They can
easily represent any context-free grammar, and some more powerful
grammars.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-railroad-diagrams
Summary: JS+SVG library for drawing railroad syntax diagrams, like on JSON.org
Requires: python3
Provides: python3-railroad-diagrams = %{epoch}:%{version}-%{release}
Provides: python3dist(railroad-diagrams) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-railroad-diagrams = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(railroad-diagrams) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-railroad-diagrams = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(railroad-diagrams) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-railroad-diagrams
Railroad diagrams are a way of visually representing a grammar in a form
that is more readable than using regular expressions or BNF. They can
easily represent any context-free grammar, and some more powerful
grammars.

%files -n python%{python3_version_nodots}-railroad-diagrams
%license README.md
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-railroad-diagrams
Summary: JS+SVG library for drawing railroad syntax diagrams, like on JSON.org
Requires: python3
Provides: python3-railroad-diagrams = %{epoch}:%{version}-%{release}
Provides: python3dist(railroad-diagrams) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-railroad-diagrams = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(railroad-diagrams) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-railroad-diagrams = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(railroad-diagrams) = %{epoch}:%{version}-%{release}

%description -n python3-railroad-diagrams
Railroad diagrams are a way of visually representing a grammar in a form
that is more readable than using regular expressions or BNF. They can
easily represent any context-free grammar, and some more powerful
grammars.

%files -n python3-railroad-diagrams
%license README.md
%{python3_sitelib}/*
%endif

%changelog
